diff --git a/host/lib/usrp/dboard/CMakeLists.txt b/host/lib/usrp/dboard/CMakeLists.txt
index 8ee7910..9ea1351 100644
--- a/host/lib/usrp/dboard/CMakeLists.txt
+++ b/host/lib/usrp/dboard/CMakeLists.txt
@@ -38,6 +38,13 @@ if(ENABLE_X300)
         ${CMAKE_CURRENT_SOURCE_DIR}/twinrx/twinrx_gain_tables.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/db_twinrx.cpp
     )
+    if(APPLE)
+        # drop optimization down to -O1 on Apple due to the sole file
+        # "twinrx_gain_tables.cpp", because some modern Clang are
+        # -very- slow compiling this file ... like 6000 seconds
+        # instead of 6 seconds!
+        string(REGEX REPLACE "-O." "-O1" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+    endif(APPLE)
 endif(ENABLE_X300)
 
 if(ENABLE_E300 OR ENABLE_E320)
